Skip to main content
`Ctrl`+`K`

# DMShellSetLocalToLocalVecScatter

Sets a `VecScatter` context for local to local communication

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToLocalVecScatter(DM dm, VecScatter ltol)

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- ltol - the local to local `VecScatter` context

## See Also

`DM`, `DMSHELL`, `DMShellSetLocalToLocal()`, `DMLocalToLocalBeginDefaultShell()`, `DMLocalToLocalEndDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages